id: lorex-panel

info:
  name: Lorex Panel - Detect
  author: rxerium
  severity: info
  description: |
    A lorex panel was detected.
  reference:
    - https://www.lorex.com/
  classification:
    cwe-id: CWE-200
  metadata:
    verified: true
    max-request: 1
    shodan-query: "Lorex"
  tags: panel,login,detect,lorex

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: dsl
        dsl:
          - 'contains_all(tolower(body), "<title>web service</title>", "lorex")'
          - 'contains_any(body, "/LOREX_webplugin", "lorex_msg")'
        condition: or
# digest: 4a0a00473045022060663ba3d1f6e30877a4ae4d1dc5f2cb87cece0bd5e6f4611596495d842caee40221009c8c0aae528b37ede70e3ea3388ea2459d0f63af79ed35fbe5ddece028546a87:922c64590222798bb761d5b6d8e72950